org.richfaces.renderkit.util

## Enum PanelIcons

- java.lang.Object
- - java.lang.Enum<PanelIcons>
  - - org.richfaces.renderkit.util.PanelIcons

- All Implemented Interfaces:
    Serializable, Comparable<PanelIcons>

      public enum PanelIcons
      extends Enum<PanelIcons>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PanelIcons.State`

  - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `chevron`
    `chevronDown`
    `chevronLeft`
    `chevronUp`
    `disc`
    `grid`
    `none`
    `transparent`
    `triangle`
    `triangleDown`
    `triangleLeft`
    `triangleUp`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static PanelIcons` | `DEFAULT`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PanelIcons` | `getIcon(String attrIconCollapsedValue)`
    `static PanelIcons` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static PanelIcons[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### none

          public static final PanelIcons none

    - #### chevron

          public static final PanelIcons chevron

    - #### chevronLeft

          public static final PanelIcons chevronLeft

    - #### chevronUp

          public static final PanelIcons chevronUp

    - #### chevronDown

          public static final PanelIcons chevronDown

    - #### disc

          public static final PanelIcons disc

    - #### grid

          public static final PanelIcons grid

    - #### transparent

          public static final PanelIcons transparent

    - #### triangle

          public static final PanelIcons triangle

    - #### triangleLeft

          public static final PanelIcons triangleLeft

    - #### triangleUp

          public static final PanelIcons triangleUp

    - #### triangleDown

          public static final PanelIcons triangleDown

  - ### Field Detail

    - #### DEFAULT

          public static final PanelIcons DEFAULT

  - ### Method Detail

    - #### values

          public static PanelIcons[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PanelIcons c : PanelIcons.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PanelIcons valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getIcon

          public static PanelIcons getIcon(String attrIconCollapsedValue)

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.